"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEmailSubscribeBootstrapTheme = exports.getEmailSubscribeBootstrapStyles = void 0;

var _componentEmailsubscribe = require("@mui-treasury/component-emailsubscribe");

var _styles = require("@material-ui/core/styles");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var fontFamily = ["-apple-system", "BlinkMacSystemFont", '"Segoe UI"', "Roboto", '"Helvetica Neue"', "Arial", "sans-serif", '"Apple Color Emoji"', '"Segoe UI Emoji"', '"Segoe UI Symbol"'].join(",");

var getInputStyles = function getInputStyles(_ref) {
  var palette = _ref.palette;
  var white = palette.common.white;
  var inputRadius = 4;
  var borderWidth = 1;
  var inputPadding = ".375rem .75rem";
  var borderColor = "#ced4da";
  var normalColor = "#80bdff";
  return {
    boxSizing: "border-box",
    borderRadius: inputRadius,
    position: "relative",
    backgroundColor: white,
    borderWidth: borderWidth,
    borderColor: borderColor,
    height: "calc(1.5em + .75rem + 2px)",
    padding: inputPadding,
    transition: "border-color .15s ease-in-out,box-shadow .15s ease-in-out",
    // Use the system font instead of the default Roboto font.
    fontFamily: fontFamily,
    "&:hover": {
      borderColor: borderColor,
      boxShadow: "none",
      backgroundColor: white
    },
    "&:focus": {
      outline: "none",
      borderRadius: inputRadius,
      borderColor: normalColor,
      backgroundColor: white,
      boxShadow: "0 0 0 0.2rem ".concat((0, _styles.alpha)(normalColor, palette.mode === "dark" ? 0.48 : 0.75))
    }
  };
};

var getSubmitStyles = function getSubmitStyles(_ref2) {
  var spacing = _ref2.spacing;
  return {
    marginLeft: "0.5rem",
    fontFamily: fontFamily,
    fontSize: "1rem",
    padding: spacing(1, 1.5),
    backgroundColor: "#007bff",
    borderRadius: 4,
    color: "#fff",
    lineHeight: 1.2,
    "&:hover, &:focus": {
      backgroundColor: "#0069d9",
      border: "none"
    }
  };
};

var getEmailSubscribeBootstrapStyles = function getEmailSubscribeBootstrapStyles(_ref3) {
  var _ref4;

  var theme = _ref3.theme;
  return _ref4 = {}, _defineProperty(_ref4, "& .".concat(_componentEmailsubscribe.emailSubscribeClasses.input), getInputStyles(theme)), _defineProperty(_ref4, "& .".concat(_componentEmailsubscribe.emailSubscribeClasses.submit), getSubmitStyles(theme)), _ref4;
};

exports.getEmailSubscribeBootstrapStyles = getEmailSubscribeBootstrapStyles;

var getEmailSubscribeBootstrapTheme = function getEmailSubscribeBootstrapTheme(theme) {
  return {
    JunEmailSubscribe: {
      styleOverrides: {
        input: getInputStyles(theme),
        submit: getSubmitStyles(theme)
      }
    }
  };
};

exports.getEmailSubscribeBootstrapTheme = getEmailSubscribeBootstrapTheme;